#ifndef MEMORYWATCHER_H_
#define MEMORYWATCHER_H_

#include <malloc.h>

class MemoryWatcher
{
	private:
		struct mallinfo m_mallinf1;
		struct mallinfo m_mallinf2;

	public:
		MemoryWatcher();
		~MemoryWatcher();
		
		struct mallinfo memorySnapshotStart();
		struct mallinfo memorySnapshotEnd();
		int getMemoryLostType1();
		int getMemoryLostType2();
		int getMemoryLostType3();
};

#endif /*MEMORYWATCHER_H_*/
