#ifndef PRETTYFILELOGGER_H_
#define PRETTYFILELOGGER_H_

#include <string>
#include <iostream>
#include <fstream>

using namespace std;

#define PFL_LOG_FILE "djlog.txt"
#define PFL PrettyFileLogger

class PrettyFileLogger
{
	private:
		PrettyFileLogger(); //static
		static ofstream m_outfile;
		
		static int m_nb_indents;
		
		static void writeIndents();
		
		static void onBegin();
		static void onEnd();
		
	public:
		~PrettyFileLogger();
		
		static void logConstructionStart(string object);
		static void logConstructionEnd(string object);
		
		static void logDestructionStart(string object);
		static void logDestructionEnd(string object);
		
		static void logMessage(string message);
		
		static void logFunctionStart(string object);
		static void logFunctionEnd(string object);
		
};

#endif /*PRETTYFILELOGGER_H_*/
