#ifndef VANISHUPEFFECT_H_
#define VANISHUPEFFECT_H_
#include "code/framework/fx/abstract/AbstractLocalEffect.h"

class VanishUpEffect : public AbstractLocalEffect
{
	private:
		bool m_running;
		unsigned int m_time;
		unsigned int m_curTick;
	
	public:
		VanishUpEffect(unsigned int time);
	
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		OSL_IMAGE * applyOn(OSL_IMAGE *);
		VanishUpEffect* clone() const;	
};


#endif /*VANISHUPEFFECT_H_*/
