#ifndef DRAWABLE_H_
#define DRAWABLE_H_
#include "code/framework/fx/EffectsLib.h"

class Drawable
{
	public:
		virtual ~Drawable(){}
		
		virtual void draw(AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL)=0;
		virtual void drawXY(int x, int y, AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL)=0;
};

#endif /*DRAWABLE_H_*/
