#include "code/game/grid/GridEventResult.h"

GridEventResult::GridEventResult()
{
	m_expl_normal=0;
	m_expl_contact=0;
	m_expl_joker=0;
	m_expl_special=0;
}

int GridEventResult::getExplNormal()
{
	return m_expl_normal;
}

int GridEventResult::getExplContact()
{
	return m_expl_contact;
}

int GridEventResult::getExplJoker()
{
	return m_expl_joker;
}

int GridEventResult::getExplSpecial()
{
	return m_expl_special;
}

void GridEventResult::setExplNormal(int expl)
{
	m_expl_normal=expl;
}

void GridEventResult::setExplContact(int expl)
{
	m_expl_contact=expl;
}

void GridEventResult::setExplJoker(int expl)
{
	m_expl_joker=expl;
}

void GridEventResult::setExplSpecial(int expl)
{
	m_expl_special=expl;
}

void GridEventResult::addExplNormal(int nb)
{
	m_expl_normal+=nb;
}

void GridEventResult::addExplContact(int nb)
{
	m_expl_contact+=nb;
}

void GridEventResult::addExplJoker(int nb)
{
	m_expl_joker+=nb;
}

void GridEventResult::addExplSpecial(int nb)
{
	m_expl_special+=nb;
}

void GridEventResult::addExpl(GridEventResult ger)
{
	m_expl_contact+=ger.m_expl_contact;
	m_expl_joker+=ger.m_expl_joker;
	m_expl_normal+=ger.m_expl_normal;
	m_expl_special+=ger.m_expl_special;
}

bool GridEventResult::containsExpl()
{
	if(m_expl_contact>0 || m_expl_normal>0 || m_expl_joker || m_expl_special>0)
		return true;
		
	return false;
}




















