#ifndef SEXYMCOCONTENTPARTICLES_H_
#define SEXYMCOCONTENTPARTICLES_H_

#include "code/game/grid/AbstractMCOContent.h"
#include "code/framework/particles/complete/impl/ParticleGeneratorPoint.h"
#include "code/framework/particles/complete/impl/ParticleGeneratorSegment.h"
#include "code/framework/State.h"
#include "code/game/levels/utils/MCOContentSimple.h"

//#define LEVEL_SEXY_MCO_EVENT_GENERATIONON 1
//#define LEVEL_SEXY_MCO_EVENT_GENERATIONOFF 2
#define LEVEL_SEXY_MCO_EVENT_GETNBPARTICLES 3

class SexyMCOContentParticles : public AbstractMCOContent
{
	private:
		//ParticleGeneratorPoint *m_gen;
		ParticleGeneratorSegment *m_gen;
		MCOContentSimple *m_mcocontentsimple;
	
	public:
		SexyMCOContentParticles(int particles, int frames, int time, int distance, int colorFrom, int colorTo, MCOContentSimple *mcocontentsimple);
		~SexyMCOContentParticles();
		
		int specialEvent(int event);
		
		//drawable
		void draw(AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL);
		void drawXY(int x, int y, AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL);
		
		//playable
		void update();
		void update(SerialLocalEffect* fx_trans);
		void start();
		void stop();
		void reset();
		void restart();
		bool isRunning();
		
		//positionable
		void setX(int x);
		void setY(int y);
		int getX();
		int getY();
		
		//statesaveable
		State *savestate(State * state);
		void restorestate(State * state);
};

#endif /*SEXYMCOCONTENTPARTICLES_H_*/
