#ifndef ANIMAL_H_
#define ANIMAL_H_

#include "code/framework/anim/Anim.h"
#include "code/framework/fx/EffectsLib.h"

class Animal
{
	private:		
		Anim *m_anim;
		bool m_direction; //true=gauche a droite, left=inverse
		
		TranslationEffect *m_fx_translation;
		SizeWowEffect *m_fx_size; //ne sera pas progressif
	
	public:
		Animal(Anim *animclone, TranslationEffect *translationfx, int sizereduction, bool direction=true);
		~Animal();
		
		void drawRelative(int watery);
		void update();
		
		bool finished();
		
};

#endif /*ANIMAL_H_*/
