#ifndef CREDITSROLL_H_
#define CREDITSROLL_H_

#include <oslib/oslib.h>
#include <list>
#include <string>

using namespace std;


class CreditsRoll
{
	private:
		list<OSL_IMAGE *> *m_list;
		float m_speed;
		float m_ydiff;
		bool m_running;
		int m_y_stop;
		
	public:
		CreditsRoll(string filename);
		~CreditsRoll();
		void setSpeed(float speed);
		float getSpeed();
		void draw();
		void update();
		
};

#endif /*CREDITSROLL_H_*/
