#ifndef PIECESHIELDED_H_
#define PIECESHIELDED_H_

#include "code/game/pieces/impl/Piecesimple.h"
#include <oslib/oslib.h>
#include "code/framework/anim/Anim.h"


class PieceShielded : public PieceSimple
{
	private:
		OSL_IMAGE *m_shield_image;
				
	public:
		PieceShielded(int shape, int color);
		PieceShielded(); //aléatoire
		~PieceShielded();
		PieceShielded(const PieceShielded &piece);//copie
   		PieceShielded& operator =(const PieceShielded& piece);
   		
   		PieceShielded * clone() const;
   		
		int getType(); //typenum
		void setShape(int shape);
		
		void drawXY(int x, int y, AbstractLocalEffect *fx1=NULL, AbstractLocalEffect *fx2=NULL, AbstractLocalEffect *fx3=NULL, AbstractLocalEffect *fx4=NULL, AbstractLocalEffect *fx5=NULL);
		
		//void setExplosionTime(float time);		
};




#endif /*PIECESHIELDED_H_*/
