#ifndef TESTLINEPATTERN_H_
#define TESTLINEPATTERN_H_

#include "code/game/levels/LinePattern.h"
#include "code/game/pieces/abstract/AbstractPiece.h"
#include <list>
#include "code/game/pieces/impl/PieceJoker.h"

using namespace std;

class TestLinePattern
{
	private:
		bool m_skip;
		int m_action;
		
		LinePattern *m_pattern;
		list<AbstractPiece *> *m_line; //ligne actuelle (pointeur uniquement, pas d'allocation)
		
		PieceJoker *m_pieceJoker;
		
		void drawScene();
		int keys();
		
	public:
		
		int go();
		TestLinePattern();
		~TestLinePattern();
};

#endif /*TESTLINEPATTERN_H_*/
