#ifndef TESTPARTICLEGENERATORORIENTABLE_H_
#define TESTPARTICLEGENERATORORIENTABLE_H_

#include <oslib/oslib.h>
#include "code/framework/particles/complete/abstract/AbstractParticleGenerator.h"
#include "code/framework/particles/complete/impl/ParticleGeneratorPoint.h"
#include "code/framework/fx/EffectsLib.h"
#include "code/framework/particles/complete/fx/ParticlesProgressiveTintEffect.h"

class TestParticleGeneratorOrientable
{
	private:
		bool m_skip;
		int m_action;
		
		AbstractParticleGenerator * m_test_partGen;
		
		//les effets des particules, ne pas le deleter, on en garde juste les references,
		//le generateur s'occupe du nettoyage
		SizeWowEffect *m_fx_swow;
		ProgressiveAlphaEffect *m_fx_transp1;
		WaitGlobalEffect *m_fx_transp2;
		ProgressiveAlphaEffect *m_fx_transp3;
		ParticlesProgressiveTintEffect *m_fx_tint;
		OSL_IMAGE *m_img;
		
		void adjustEffects(int newTime);
		void drawScene();
		int keys();
		
	public:
		
		int go();
		TestParticleGeneratorOrientable();
		~TestParticleGeneratorOrientable();
};

#endif /*TESTPARTICLEGENERATORORIENTABLE_H_*/
