#ifndef TESTRMX_H_
#define TESTRMX_H_

//#include "code/realtech/rxs/psp_rmx.h"
#include "code/framework/resRepo/RmxArchive.h"
#include "code/framework/resRepo/ResFileDetails.h"
#include "code/framework/resRepo/abstract/AbstractResRepo.h"
#include <string>
#include <vector>
#include <oslib/oslib.h>

using namespace std;

class TestRMX
{
	private:
		bool m_skip;
		int m_action;
		int m_mode; //mode d'archivage
		//string m_name;
		
		AbstractResRepo *m_rmx;
		vector<ResFileDetails> m_details_in_archive;
		string m_text;
		OSL_IMAGE *m_img;
		OSL_SOUND *m_snd;
		
		void drawScene();
		int keys();
		
		void changeMode();
		void readEverythingFromArchive();
		
	public:
		
		int go();
		TestRMX();
		~TestRMX();
};

#endif /*TESTRXS_H_*/
