#ifndef LOADERS_H_
#define LOADERS_H_

#include <oslib/oslib.h>
#include <string>
#include "code/framework/utils.h"
#include <fstream>

using namespace std;
using namespace utils;

OSL_IMAGE *fwkLoadImageFilePNG(string filename, int location, int pixelFormat);

OSL_SOUND *fwkLoadSoundFileMP3(string filename, int stream);
OSL_SOUND *fwkLoadSoundFileWAV(string filename, int stream);
OSL_SOUND *fwkLoadSoundFileBGM(string filename, int stream);

void fwkOpenTextFile(string filename, ifstream *file);
void fwkOpenTextFile(string filename, ifstream *file, ios_base::openmode mode);
void fwkOpenTextFile(string filename, ofstream *file);
void fwkOpenTextFile(string filename, ofstream *file, ios_base::openmode mode);

void fwkDeleteSound(OSL_SOUND *snd);

#endif /*ROBUSTNESS_H_*/
