#ifndef ABSTRACTEFFECT_H_
#define ABSTRACTEFFECT_H_

#include <oslib/oslib.h>
#include "code/framework/interfaces/Playable.h"
//#include "code/framework/check/Trackable.h"

//classe parente de tous les effets sur les images
class AbstractEffect : public Playable//, public Trackable
{
	protected:
		//short m_nbLoops;
		
	public:
		//AbstractEffect():Trackable("AbstractEffect"){} 
		
		//abstraites:
		virtual void start()=0; 
		virtual void restart()=0;
		virtual void reset()=0;
		virtual void stop()=0;
		virtual void update()=0;
		//virtual void draw(short x, short y, OSL_IMAGE *img)=0;
		virtual bool finished()=0;
		virtual bool isRunning()=0;
		
		virtual ~AbstractEffect(){}
		virtual AbstractEffect* clone() const=0;
};


#endif /*ABSTRACTEFFECT_H_*/
