#ifndef WAITGLOBALEFFECT_H_
#define WAITGLOBALEFFECT_H_

#include "code/framework/fx/abstract/AbstractGlobalEffect.h"

class WaitGlobalEffect : public AbstractGlobalEffect
{
	private:
		bool m_running;
		unsigned int m_time;
		unsigned int m_currentTick;
		
	
	public:
		WaitGlobalEffect(unsigned int time);
	
		void start(); 
		void restart();
		void reset();
		void stop();
		void update();
		bool finished();
		bool isRunning();
		void activate();
		WaitGlobalEffect* clone() const;
		
		unsigned int getTime();
		void setTime(unsigned int time);
};


#endif /*WAITGLOBALEFFECT_H_*/
