#ifndef EXTRACTIMAGEFROMANIMFACTORY_H_
#define EXTRACTIMAGEFROMANIMFACTORY_H_

#include "code/framework/particles/complete/animFactories/abstract/AbstractAnimationFactory.h"

//fabrique une animation contenant uniquement l'image courante de
//l'anim qu'elle surveille (m_base)
class ExtractImageFromAnimFactory : public AbstractAnimationFactory
{
	private:
		Anim *m_base; 
		//uniquement un pointeur, on ne la controle
		//pas on la surveille
		
		
	public:
		ExtractImageFromAnimFactory(Anim *anim);
		~ExtractImageFromAnimFactory();
		Anim *newAnimInstance();
		
		void setWatched(Anim *ani);
		
		float getDelayTotal();
   		void setDelayTotal(float d);
   		
   		ExtractImageFromAnimFactory *clone() const;
};


#endif /*EXTRACTIMAGEFROMANIMFACTORY_H_*/
