#include "code/framework/particles/complete/fxFactories/PFXFExactSameGlobalEffect.h"
#include <oslib/oslib.h>

PFXFExactSameGlobalEffect::PFXFExactSameGlobalEffect(AbstractGlobalEffect *fx)
{
	if(fx==NULL)
	{
		oslFatalError("PFXFExactSameGlobalEffect cannot be constructed with NULL effect");
	}
	m_base=fx;
}

PFXFExactSameGlobalEffect::~PFXFExactSameGlobalEffect()
{
	delete m_base;
}

AbstractGlobalEffect *PFXFExactSameGlobalEffect::newGlobalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan)
{
	return m_base->clone();
}

PFXFExactSameGlobalEffect *PFXFExactSameGlobalEffect::clone() const
{
	return new PFXFExactSameGlobalEffect(m_base->clone());
}






