#ifndef PFXFRANDOMPROPORTIONMULTITINT_H_
#define PFXFRANDOMPROPORTIONMULTITINT_H_

#include "code/framework/particles/complete/fxFactories/abstract/AbstractGlobalParticleEffectFactory.h"
#include "code/framework/fx/abstract/AbstractGlobalEffect.h"
#include <oslib/oslib.h>
#include <vector>

using namespace std;

class PFXFRandomProportionMultiTint : public AbstractGlobalParticleEffectFactory
{
	private:
		int m_nbColors;
		int m_minimumTime;
		vector<int> m_colors;
		int m_totalTime;
	
	public:
		PFXFRandomProportionMultiTint(int totalTime, int minimumTime=2);
		~PFXFRandomProportionMultiTint();
		
		AbstractGlobalEffect *newGlobalEffectInstance(int startX, int startY, int dist, int movingTime, int orientation, int scale, int particleLifespan);
		void addColor(int color);
		
		PFXFRandomProportionMultiTint *clone() const;
};

#endif /*PFXFRANDOMPROPORTIONMULTITINT_H_*/
