#include "code/framework/time/Delayer.h"

Delayer::Delayer(int delay, int times)
{
	m_delay=delay;
	m_times=times;
	m_current=0;
	m_finished=false;
	m_currentl=0;
}

void Delayer::update()
{
	if(!m_finished)
		m_current++;
}

bool Delayer::get()
{
	if(m_finished)
		return false;
		
	if(m_current>=m_delay)
	{
		m_current=0;
		m_currentl++;
		if(m_times!=-1 && m_currentl>=m_times)
		{
			m_finished=true;
		}
		return true;
	}
	return false;
}





