#ifndef POSITIONSBUFFER_H_
#define POSITIONSBUFFER_H_

#include "code/framework/Pos.h"
#include "code/framework/Matrix.h"


class PositionsBuffer
{
	private:
		int m_nbCols;
		int m_nbLines;
		
		short int *m_x; //axe des x
		short int *m_y; //axe des y
		
	public:
		PositionsBuffer(int nbCols, int nbLines, int posX, int posY, int cellWidth, int cellHeight);
		~PositionsBuffer();
		Pos getPixPos(int col, int line);
};

#endif /*POSITIONSBUFFER_H_*/
