#include "code/tests/TestLoading.h"
#include <oslib/oslib.h>
#include <string>
#include "code/framework/utils.h"
#include "code/game/menus/MenusDefines.h"
#include "code/game/pieces/PiecesBufferFactory.h"

using namespace std;
using namespace utils;

//construction
TestLoading::TestLoading()
{
	m_action=MENU_NOACTION;
	m_skip=false;
	
	m_nb=0;
}

//destruction
TestLoading::~TestLoading()
{
	
}

//demarrage du menu
int TestLoading::go()
{
	while(m_action==MENU_NOACTION)
	{
		oslBenchmarkTest(OSL_BENCH_START);
		
		//touches
		m_action=keys();
		if(m_action==MENU_QUIT)
			return m_action;
		
		//phase d'update
		
		/*
		m_mainmenu=new MainMenu("fr");
		m_mainmenu->go(true); //go en debug mode, cad 1 seule boucle
		
		delete m_mainmenu;
		m_nb++;
		*/
		
		PiecesBufferFactory::bufferResources();
		/*m_level=new LevelSsoup();
		m_level->start();
		delete m_level;*/
		PiecesBufferFactory::unbufferResources();
		m_nb++;
			
		//if (!m_skip)
		//{
			//phase de dessin
			oslStartDrawing();
			drawScene();
			oslBenchmarkTest(OSL_BENCH_END);
			oslSysBenchmarkDisplay();
			oslEndDrawing();
		//}
		
		//End of a frame
        oslEndFrame();
		//Synchronize to ensure the game runs at 60 fps
        m_skip = oslSyncFrame();
		//oslAudioVSync(); //ne sert plus, oslEndFrame le fait
	}
	//il a choisi une option
	enableDebug();
	debug("fin boucle TestLoading, return "+toString(m_action));
	enableDebug(false);
	
	return m_action;	
}

//dessins
void TestLoading::drawScene()
{
	oslClearScreen(RGB(0,0,0));
	
	oslDrawString(10, 250, toString(m_nb).c_str());
}

//gestion des touches
int TestLoading::keys()
{
	oslReadKeys();
	if (osl_pad.pressed.start) //Exit 
	{
		enableDebug();
		debug("start!");
		enableDebug(false);
		return MENU_MAIN;
	}
	
	//ajout d'une animation
	if(osl_pad.pressed.R)
	{
		
	}
	//retrait d'une animation
	else if(osl_pad.pressed.L)
	{
		
	}
	
	
		
	if (osl_pad.pressed.up)
	{
	}
	else if(osl_pad.pressed.down)
	{
	}
	else if(osl_pad.pressed.left)
	{
		
	}
	else if(osl_pad.pressed.right)
	{
		
	}
	
	if(osl_pad.pressed.select)
	{
	
	}
	
	return MENU_NOACTION;
}










































